FreeMat

- Main Page
- Related Pages

vtkGLSLShaderDeviceAdapter2

Section: Visualization Toolkit Rendering Classes

# Usage

vtkShaderDeviceAdapter subclass for vtkShaderProgram2.

To create an instance of class vtkGLSLShaderDeviceAdapter2, simply invoke its constructor as follows

      obj = vtkGLSLShaderDeviceAdapter2

# Methods

The class vtkGLSLShaderDeviceAdapter2 has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGLSLShaderDeviceAdapter2 class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGLSLShaderDeviceAdapter2 = obj.NewInstance ()`
- `vtkGLSLShaderDeviceAdapter2 = obj.SafeDownCast (vtkObject o)`
- `obj.PrepareForRender ()`